Name: perl-CGI
Version: 3.00
Release: alt1

Summary: Simple Common Gateway Interface class for Perl
License: GPL or Artistic
Group: Development/Perl

Url: http://search.cpan.org/dist/CGI.pm/
Source: CGI.pm-%version.tar.bz2
Patch0: %name-2.80-alt-mdk-upload_tmpdir.patch

BuildArch: noarch

# perl-FCGI package is required for tests
# Automatically added by buildreq on Tue Jul 22 2003
BuildRequires: perl-FCGI perl-devel

# packages were split and then merged
Provides:  perl-CGI-Apache = %version	perl-CGI-FCGI = %version
Obsoletes: perl-CGI-Apache 		perl-CGI-FCGI

%set_perl_req_method relaxed
%add_findreq_skiplist %perl_vendor_privlib/CGI/Fast.pm

%description
This perl library uses perl5 objects to make it easy to create
Web fill-out forms and parse their contents.  This package
defines CGI objects, entities that contain the values of the
current query string and other state variables.  Using a CGI
object's methods, you can examine keywords and parameters
passed to your script, and create forms whose initial values
are taken from the current query (thereby preserving state
information).

%prep
%setup -q -n CGI.pm-%version
%patch -p1

find -type f -print0 |
    xargs -r0 fgrep -l /usr/local/bin/ |
    xargs %__perl -pi -e 's|/usr/local/bin/|%_bindir/|g'

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README *.html examples
%perl_vendor_privlib/CGI*
%perl_vendor_man3dir/CGI*

%changelog
* Thu Aug 21 2003 Alexey Tourbin <at@altlinux.ru> 3.00-alt1
- 3.00 (cross-site scripting vulnerability fixed)
- upload_tmpdir.patch updated

* Tue Jul 22 2003 Alexey Tourbin <at@altlinux.ru> 2.98-alt1
- 2.98 (crash in Dump function fixed)
- upload_tmpdir.patch updated

* Thu Jul 10 2003 Alexey Tourbin <at@altlinux.ru> 2.97-alt1
- 2.97 (bugfixes)

* Mon Jun 16 2003 Alexey Tourbin <at@altlinux.ru> 2.95-alt1
- 2.95
- merged packages down, with dependency tuning

* Fri Mar 21 2003 Stanislav Ievlev <inger@altlinux.ru> 2.91-alt1
- 2.91

* Tue Nov 12 2002 Stanislav Ievlev <inger@altlinux.ru> 2.89-alt2
- hack reqs

* Thu Oct 31 2002 Alexey Tourbin <at@altlinux.ru> 2.89-alt1
- 2.89
- package split: perl-CGI, perl-CGI-Apache, perl-CGI-FCGI
- perl-5.8 build with new rpm macros

* Sun Mar 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.80-alt1
- 2.80
- spec file skeletonization.

* Mon Jun 25 2001 Stanislav Ievlev <inger@altlinux.ru> 2.752-alt1
- Release for ALT Linux.

* Wed Apr 25 2001 Pixel <pixel@mandrakesoft.com> 2.752-2mdk
- rebuild with new perl

* Sat Mar  3 2001 Pixel <pixel@mandrakesoft.com> 2.752-1mdk
- cleanup
(made by Alexander Skwar <ASkwar@Linux-Mandrake.com>)
- First seperate Mandrake version
- Added Upload Tmpdir patch from perl
- Requires perl *WITHOUT* CGI.pm!
